Skip to main content

Get Vehicle Operation Data

Description​

Retrieve source data related to personal vehicle operation, including engine start status, cumulative mileage, and parking status.

Endpoint​

GET https://api.pleos.ai/v1/vehicles/{vin}/driving/data

Request​

curl
curl -X GET "https://api.pleos.ai/v1/vehicles/{vin}/driving/data?startDate=20250825&endDate=20250901&zoneId=UTC" \
-H "Authorization: Bearer <ACCESS_TOKEN>" \
-H "Brand: hyundai"
ParameterTypeDescriptionRequired
AuthorizationstringAccess tokenRequired
BrandstringVehicle brand (hyundai/kia/genesis)Required

Path Parameters​

ParameterTypeDescriptionRequired
vinstringVINRequired

Query Parameters​

ParameterTypeDescriptionRequiredDefault Value
startDatestringyyyyMMddRequiredNone
endDatestringyyyyMMdd (Can only retrieve up to 7 days from the start date)RequiredNone
zoneIdstringTimezone IdOptionalUTC

Response​

Success​

200
{
"data": {
"trips": [
{
"triggerStartTime": "2025-09-01T10:00:00.000Z",
"tripLength": 10000,
"ignition": {
"status": ["on", "on", "on", "on", "on", "on", "on", "on", "on", "on"]
},
"odometer": {
"value": [50.2, 50.2, 50.2, 50.2, 50.2, 50.2, 50.2, 50.2, 50.2, 50.2]
},
"acceleration": {
"longitudinal": [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]
},
"angularVelocity": {
"yaw": [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]
},
"isla": {
"optionUsm": [
"off",
"off",
"off",
"off",
"off",
"off",
"off",
"off",
"off",
"off"
],
"optionUsm2": [
"off",
"off",
"off",
"off",
"off",
"off",
"off",
"off",
"off",
"off"
]
},
"seatbelt": {
"assistance": [
"unbelted",
"unbelted",
"unbelted",
"unbelted",
"unbelted",
"unbelted",
"unbelted",
"unbelted",
"unbelted",
"unbelted"
],
"driver": [
"belted",
"belted",
"belted",
"belted",
"belted",
"belted",
"belted",
"belted",
"belted",
"belted"
]
},
"steeringWheel": {
"angle": [0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
"rotationSpeed": [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]
},
"transmission": {
"gear": ["p", "p", "p", "p", "p", "p", "p", "p", "p", "p"]
}
}
]
},
"meta": {
"code": 200,
"message": "Success",
"success": "true",
"timestamp": "2025-09-01T11:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
data fieldTypeDescription
tripsarray of objectTrip data
trips.triggerStartTimestringEngine start time yyyy-MM-dd'T'HH:mm:ss.SSS'Z'
trips..tripLengthlongDriving trip length (unit: ms)
trips..ignitionobjectEngine Ignition status information
trips..statusarray of stringEngine Ignition status (on, off)
trips..odometerobjectVehicle mileage information
trips..valuearray of numberMileage of a vehicle (unit: km, range: 0~1677721.4)
trips..accelerationobjectVehicle's longitudinal acceleration data
trips..longitudinalarray of numberLongitudinal acceleration of the vehicle(unit: g, range: -4.177~4.177)
trips..angularVelocityobjectAngular velocity data
trips..yawarray of numberSpeed at which the vehicle rotates about its vertical axis (unit: º/s, range: -40.95~40.95)
trips..islaobjectDriver-configured Intelligent Speed Limit Assist (ISLA) options
trips..optionUsmarray of stringISLA option USM signal set by driver (none, off, warning, assist, invalid)
trips..optionUsm2array of stringISLA option USM 2 signal set by driver (none, off, information, warning, assist, invalid)
trips..seatbeltobjectSeatbelt information
trips..assistancearray of stringStatus of seat belt for passenger seat (belted, unbelted)
trips..driverarray of stringStatus of seat belt for driver seat (belted, unbelted)
trips..steeringWheelobjectSteering wheel information
trips..anglearray of numberAngle of steering wheel (unit: º, range: -3276.8~3276.7)
trips..rotationSpeedarray of numberRotation speed of steering wheel(unit: º/s, range: 0~1016)
trips..transmissionobjectTransmission information
trips..geararray of stringGear status of the vehicle by user
- p: park
- r: reverse
- n: neutral
- d: drive

Failure​

4002
{
"error": {
"code": "4002",
"message": "Invalid request parameters",
"details": [],
"timestamp": "2025-09-01T12:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
[Error Code]

For detailed descriptions of error code on failure, refer to Error Code.